$(document).ready(function () {
  console.log("---[ __course_register_company_form.js ]----------------------------------------");

  jQuery.validator.addMethod("zipcode", function (value, element) {
    return this.optional(element) || /^\d{5}(?:-\d{4})?$/.test(value);
  }, "Please provide a valid zipcode.");
  jQuery.validator.addMethod("zipcodeUS", function (value, element) {
    return this.optional(element) || /\d{5}-\d{4}$|^\d{5}$/.test(value)
  }, "The specified US ZIP Code is invalid");

  // Validate the form 
  $("#frmRegister").validate({
    //debug: true,
    errorElement: "div",
    errorClass: "mui-error",
    rules: {
      comp_name: { required: true },
      comp_address: { required: true},
      comp_city: { required: true },
      comp_state: { required: true },
      comp_zip: { required: true, zipcodeUS: true },
      comp_contact_name: { required: true},
      comp_contact_email: { required: true},
      comp_contact_phone: { required: true}
    }
  }); // End Validation



  console.log("----------------------------------------[ __course_register_company_form.js ]---");
});  // End $(document).ready
