$(document).ready(function () {
  console.log("===[ _course_register_online.js ]==============================================")

  //===[ Custom validate methods ]=============================================
  jQuery.validator.addMethod("zipcode", function (value, element) {
    return this.optional(element) || /^\d{5}(?:-\d{4})?$/.test(value);
  }, "Please provide a valid zipcode.");
  jQuery.validator.addMethod("zipcodeUS", function (value, element) {
    return this.optional(element) || /\d{5}-\d{4}$|^\d{5}$/.test(value)
  }, "The specified US ZIP Code is invalid");


  //===[ Payment type changed ]==========================================================
  $("#payment_type").change(function () {
    console.log("payment_type - change --------------------------")

    console.log("id: " + $(this).attr("id"))
    console.log("nodeName: " + $(this).prop("nodeName"))

    if ($(this).prop("nodeName") == "INPUT") {
      var sType = $(this).attr("proc");
    } else {
      var sType = $("option:selected", this).attr("proc");
    }
    $("#payment_Process").val(sType);
    sType = "." + sType

    console.log("value: " + $(this).val())
    console.log("sType: " + sType)

    $(".pmt-type-form").not(sType).slideUp("slow");
    $(sType).slideDown("slow");
    console.log("-------------------------- payment_type - change")
  });
  //=====================================================================================

  $("#btnNext, #btnPrev").bind("click", SubmitFunc);

/*  $("#btnNext, #btnPrev").bind("click", function () {
    //console.log("reg-form - Click --------------------------")
    var thisform = $(this).parents('form:first');

    $(thisform).attr("action", $(this).attr("href"));
    $(thisform).submit()

    //console.log("-------------------------- reg-form - Click")
    return false;
  }); */

  

  // If browser allows javascript then hide the warning and show the form
  $(".js-ok").toggle();

  // Hide all payment type input blocks
  $(".pmt-type-form").hide();

  // trigger payment type change
  $("#payment_type").change();


  $("#payment_total").formatCurrency();
  $(".mui-currency").formatCurrency();



  // changes hidden fields to text so we can see them - for testing
  $("input[type='hidden']").attr("type", "text")

  //===[ Button to provide bogus data for testing clicked ]==============================
  $("#btnSampleData").click(function () {
    console.log("btnSampleData - Click --------------------------")

    var students = [
      { FName: 'Mike', LName: 'Witherspoon', EMail: 'mike@azguys.com' },
      { FName: 'Andy', LName: 'Anderson', EMail: 'mike@azguys.com' },
      { FName: 'Bernard', LName: 'Barnes', EMail: 'mike@azguys.com' },
      { FName: 'Carrie', LName: 'Cameron', EMail: 'mike@azguys.com' },
      { FName: 'Dolores', LName: 'DaSilva', EMail: 'mike@azguys.com' },
      { FName: 'Ernesto', LName: 'Echavarria', EMail: 'mike@azguys.com' },
      { FName: 'Frank', LName: 'Farrell', EMail: 'mike@azguys.com' },
      { FName: 'George', LName: 'Gallagher', EMail: 'mike@azguys.com' },
      { FName: 'Hendrik', LName: 'Hammer', EMail: 'mike@azguys.com' },
      { FName: 'Isaac', LName: 'Ingram', EMail: 'mike@azguys.com' }
    ];
    //console.log("students.length: ", students.length);

    var i = 0

    $("#student_list TR").each(function () {
      $(this).find("#student_FName").val(students[i].FName);
      $(this).find("#student_LName").val(students[i].LName);
      $(this).find("#student_EMail").val(students[i].EMail);
      i++;
    });

    $("#comp_name").val("Gladhill Associates International")
    $("#comp_address").val("1234 N 1st")
    $("#comp_city").val("Phoenix")
    $("#comp_state").val("AZ")
    $("#comp_zip").val("85326")
    $("#comp_contact_name").val("Burt Gold")
    $("#comp_contact_email").val("admin@gladhillassociates.com")
    $("#comp_contact_phone").val("(602) 123-4567")
    $("#comp_refno").val("A123")

    $("#payment_type").val("Visa");
    $("#payment_type").change();
    $("#pmt_num").val("4111111111111111");
    $("#payment_type").val("American Express");
    $("#pmt_num").val("378282246310005");
    $("#payment_type").val("Discover");
    $("#pmt_num").val("6011111111111117");
    $("#payment_type").val("MasterCard");
    $("#pmt_name").val("George Washington");
    $("#pmt_zip").val("95001");
    $("#pmt_exp").val("01/16");
    $("#pmt_po_num").val("P123");

    return false
    console.log("-------------------------- btnSampleData - Click")
  });
  //=====================================================================================


  console.log("Timestamp: " + new Date());
  console.log("==============================================[ _course_register_online.js ]===")
});                 // End $(document).ready

  var SubmitFunc = function(){
    //console.log("reg-form - Click --------------------------")
    var thisform = $(this).parents('form:first');

    $(thisform).attr("action", $(this).attr("href"));
    $(thisform).submit()

    //console.log("-------------------------- reg-form - Click")
    return false;
  };
